@import url("https://fonts.googleapis.com/css?family=Roboto:300,400,500");
@import url("https://fonts.googleapis.com/css2?family=Montserrat&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Archivo&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Archivo+Black&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

* {
    box-sizing: border-box;
}

html,
body {
    width: 100%;
    height: 100%;
    padding: 10px;
    margin: 0;
    /* background-color: #7EC855; */
    background-color: rgb(173, 113, 67);
    font-family: "Roboto", sans-serif;
}

.shopping-cart {
    width: 100%;
    height: auto;
    margin: 2em auto;
    background: #ffffff;
    box-shadow: 1px 2px 3px 0px rgba(0, 0, 0, 0.1);
    border-radius: 6px;
    transition: all 3s linear;
    display: flex;
    flex-direction: column;
}

.title {
    height: 60px;
    border-bottom: 1px solid #e1e8ee;
    padding: 20px 30px;
    color: #5e6977;
    font-size: 18px;
    font-weight: 400;
}

.item {
    padding: 20px 30px;
    height: 120px;
    display: flex;
}

.item:nth-child(3) {
    border-top: 1px solid #e1e8ee;
    border-bottom: 1px solid #e1e8ee;
}

/* Buttons -  Delete and Like */
.buttons {
    position: relative;
    padding-top: 30px;
    margin-right: 60px;
}

.delete-btn {
    display: inline-block;
    cursor: pointer;
    width: 18px;
    margin: auto;
    height: 17px;
    background: url("delete-icn.svg") no-repeat center;
    margin-right: 20px;
}
.is-active {
    animation-name: animate;
    animation-duration: 0.8s;
    animation-iteration-count: 1;
    animation-timing-function: steps(28);
    animation-fill-mode: forwards;
}

@keyframes animate {
    0% {
        background-position: left;
    }
    50% {
        background-position: right;
    }
    100% {
        background-position: right;
    }
}

/* Product Image */
.image {
    margin-right: 50px;
}

/* Product Description */
.description {
    padding-top: 10px;
    margin-right: 60px;
    width: 115px;
}

.description span {
    display: block;
    font-size: 14px;
    color: #43484d;
    font-weight: 400;
}

.description span:first-child {
    margin-bottom: 5px;
}
.description span:last-child {
    font-weight: 300;
    margin-top: 8px;
    color: #86939e;
}

/* Product Quantity */
.quantity {
    padding-top: 20px;
    margin-right: 60px;
}
.quantity input {
    -webkit-appearance: none;
    border: none;
    text-align: center;
    width: 32px;
    font-size: 16px;
    color: #43484d;
    font-weight: 300;
}

button[class*="btn"] {
    width: 30px;
    height: 30px;
    background-color: #e1e8ee;
    border-radius: 6px;
    border: none;
    cursor: pointer;
}
.minus-btn img {
    margin-bottom: 3px;
}
.plus-btn img {
    margin-top: 2px;
}
button:focus,
input:focus {
    outline: 0;
}

/* Total Price */
.total-price {
    width: 83px;
    padding-top: 27px;
    text-align: center;
    font-size: 16px;
    color: #43484d;
    font-weight: 300;
}

/* Responsive */
@media (max-width: 800px) {
    .shopping-cart {
        width: 100%;
        height: auto;
        overflow: hidden;
    }
    .item {
        height: auto;
        flex-wrap: wrap;
        justify-content: center;
    }
    .image img {
        width: 50%;
    }
    .image,
    .quantity,
    .description {
        width: 100%;
        text-align: center;
        margin: 6px 0;
    }
    .buttons {
        margin-right: 5px;
    }
}

.wrapper {
    margin: 2em auto;
    width: 100%;
    height: auto;
    background-color: rgb(255 255 255);
    box-shadow: 1px 2px 3px 0px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    padding: 2em;
    transition: all 3s linear;
}
.buttonorder {
    margin: auto;
    width: 100% !important;
    color: #ffffff !important;
    border-width: 0px !important;
    border-radius: 10px;
    letter-spacing: 1px;
    font-size: 13px;
    font-family: "Poppins", sans-serif !important;
    font-weight: 600 !important;
    text-transform: uppercase !important;
    background-color: #08c451 !important;
}
.price-details {
    display: flex;
    flex-direction: column;
}
.stotal {
    font-size: 16px;
    font-weight: 400;
    /* font-family: "Montserrat", sans-serif; */
}
.charge {
    /* font-family: "Montserrat", sans-serif; */
    font-size: 17px;
    font-weight: 400;
}
.total {
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    font-weight: 600;
}
.summary {
    font-size: 21px;
    font-family: "Archivo ", sans-serif;
}

@media (min-width: 860px) and (max-width: 1199px) {
    .buttonorder {
        width: 50% !important;
    }
}
